Search documentation of stripe_elixir

# StripeElixir.Resources.Terminal.OnboardingLink (stripe_elixir v0.1.0)

Copy Markdown View Source

TerminalOnboardingLinkOnboardingLink

Returns redirect links used for onboarding onto Tap to Pay on iPhone.

## Summary

### Types

t()

### Functions

expandable_fields()
object_name()

## Types

# t()

    @type t() :: %StripeElixir.Resources.Terminal.OnboardingLink{
      link_options: map(),
      link_type: String.t(),
      object: String.t(),
      on_behalf_of: String.t(),
      redirect_url: String.t()
    }

- `link_options` - Expandable.
- `link_type` - The type of link being generated. Possible values: `apple_terms_and_conditions`.
- `object` - Possible values: `terminal.onboarding_link`.
- `on_behalf_of` - Stripe account ID to generate the link for. Max length: 5000. Nullable.
- `redirect_url` - The link passed back to the user for their onboarding. Max length: 5000.

## Functions

# expandable_fields()

# object_name()